var idEvento;
var Script = function () {


    /* initialize the external events
     -----------------------------------------------------------------*/

    $('#external-events div.external-event').each(function() {

        // create an Event Object (http://arshaw.com/fullcalendar/docs/event_data/Event_Object/)
        // it doesn't need to have a start or end
        var eventObject = {
            title: $.trim($(this).text()) // use the element's text as the event title
        };

        // store the Event Object in the DOM element so we can get to it later
        $(this).data('eventObject', eventObject);

        // make the event draggable using jQuery UI
        $(this).draggable({
            zIndex: 999,
            revert: true,      // will cause the event to go back to its
            revertDuration: 0  //  original position after the drag
        });

    });


    /* initialize the calendar
     -----------------------------------------------------------------*/

    var date = new Date();
    var d = date.getDate();
    var m = date.getMonth();
    var y = date.getFullYear();

	$.ajax({
		type: "POST",
		url: "modules/readCalendar.php",
		data: {
			
		},
		success: function(data){
			$('#calendar').fullCalendar({
				header: {
					left: 'prev,next today',
					center: 'title',
					right: 'month,basicWeek,basicDay'
				},
				editable: true,
				droppable: true, // this allows things to be dropped onto the calendar !!!
				drop: function(date, allDay, event, dayDelta, minuteDelta, revertFunc, jsEvent, ui, view) { // this function is called when something is dropped

					// retrieve the dropped element's stored Event Object
					var originalEventObject = $(this).data('eventObject');

					// we need to copy it, so that multiple events don't have a reference to the same object
					var copiedEventObject = $.extend({}, originalEventObject);

					// assign it the date that was reported
					copiedEventObject.start = date;
					copiedEventObject.allDay = allDay;
					
					// render the event on the calendar
					// the last `true` argument determines if the event "sticks" (http://arshaw.com/fullcalendar/docs/event_rendering/renderEvent/)
					$('#calendar').fullCalendar('renderEvent', copiedEventObject, true);

					// is the "remove after drop" checkbox checked?
					if ($('#drop-remove').is(':checked')) {
						// if so, remove the element from the "Draggable Events" list
						$(this).remove();
					}
//					alert("New drop");
					var day = date.getDate();
					var month = date.getMonth()+1;
					var year = date.getFullYear();
					if(month<10)	month = "0"+month;
					if(day<10)		day = "0"+day;
					var date = year+"-"+month+"-"+day;
					idEvento = $(this).attr("data-id");
					addEvent(idEvento, date);
				},
				eventDrop: function(event){
					var id = event.id;
					if(id==null)	id = idEvento;
					else			id = event.id;
					updateEvent(id, event.start, event.end);
				},
				eventResize: function(event){
					var id = event.id;
					if(id==null)	id = idEvento;
					else			id = event.id;
					updateEvent(id, event.start, event.end);
				},
				eventClick: function(event){
					if (event.url) {
						window.open(event.url);
						return false;
					}
				},
				events: $.parseJSON(data)
			});
		}
	});
}();

function addEvent(id, date){
	$.ajax({
		type: "POST", 
		url: "modules/addEventCalendario.php",
		data:{
			id: id,
			date: date
		},
		success: function(data){
			
		}
	});
}

function updateEvent(id, date_in, date_fn){
	var day, month, year, hora, mins, secs, tiempo, fecha_in, fecha_fn;
	day = date_in.getDate();
	month = date_in.getMonth()+1;
	year = date_in.getFullYear();
	if(month<10)	month = "0"+month;
	if(day<10)		day = "0"+day;
	hora = date_in.getHours();
	mins = date_in.getMinutes();
	secs = date_in.getSeconds();
	if(hora<10)		hora = "0"+hora;
	if(mins<10)		mins = "0"+mins;
	if(secs<10)		secs = "0"+secs;
	tiempo = hora+":"+mins+":"+secs;
	fecha_in = year+"-"+month+"-"+day+" "+tiempo;
	
	if(date_fn != null){
		day = date_fn.getDate();
		month = date_fn.getMonth()+1;
		year = date_fn.getFullYear();
		if(month<10)	month = "0"+month;
		if(day<10)		day = "0"+day;
		hora = date_in.getHours();
		mins = date_in.getMinutes();
		secs = date_in.getSeconds();
		if(hora<10)		hora = "0"+hora;
		if(mins<10)		mins = "0"+mins;
		if(secs<10)		secs = "0"+secs;
		tiempo = hora+":"+mins+":"+secs;
		fecha_fn = year+"-"+month+"-"+day+" "+tiempo;
	}else{
		fecha_fn = "";
	}
	
	console.log(fecha_in+" | "+fecha_fn);
	
	$.ajax({
		type: "POST", 
		url: "modules/updateEventCalendario.php",
		data:{
			id: id,
			fecha_in: fecha_in,
			fecha_fn: fecha_fn
		},
		success: function(data){
			
		}
	});
}